
Redmine - Defect #33402

Receive email problem - inserting unwanted p tags

2020-05-05 15:50 - Andrej Simko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

I have problem with receiving emails after upgrading to the latest stable version 4.1.1.

Even if I have setup that email should be parsed as plain text, issues are created with the text and there are unwanted <p> </p> tags

even if I setup text formatting to none or textile or markup.

This happens after updating to the version 4.1.1 from 3.4.13.

This is my environment:

Environment:

  Redmine version                4.1.1.stable

  Ruby version                   2.5.3-p105 (2018-10-18) [x86_64-linux]

  Rails version                  5.2.4.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.9.5

  Mercurial                      4.8.2

  Cvs                            1.12.13

  Bazaar                         2.8.0

  Git                            2.20.1

  Filesystem                     

Redmine plugins:

  issue_color_label              0.1

  localizable                    0.4.0

  redmine_agile                  1.5.3

  redmine_checklists             3.1.16

  redmine_ckeditor               1.2.3

  redmine_contacts               4.3.0

  redmine_contacts_helpdesk      4.1.8

  redmine_contacts_invoices      4.2.3

  redmine_crm_mailchimp          1.0.4

  redmine_custom_js              0.1.0

  redmine_dmsf                   2.4.2

  redmine_finance                2.1.7

  redmine_per_project_formatting 0.1.0

  redmine_products               2.1.2

  redmine_questions              1.0.2

  redmine_reporter               1.0.3

  redmine_silencer               0.4.1

  redmine_smile_togglesidebar    1.0.7

  redmine_theme_changer          0.4.0

  redmine_zenedit                1.0.3

 I receive emails from gmail.

This is a test email:
 f
a
 This is a issue created:

<p>safsad sa</p>

<p> f</p>

<p>fdsa</p>

<p> </p>

<p>a</p>

<p>fdsa</p>

<p>fsd</p>

<p> </p>

<p>as</p>

 Can somebody help me where could be a problem?

History

#1 - 2020-05-05 15:52 - Andrej Simko

I forgot to mention, that even I have setup email receiving for plain text, if I debug the code, it always handle it with html_body_to_text function in

mail_handler.rb ... but I dont know where to look else for now.

#2 - 2020-06-17 10:54 - Gaël CORDON

Hello Андрей Севастьянов

did you manage to figure out what was wrong.

I've got exactly the same issue.

Environment:

Redmine version                4.1.1.stable

Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]

Rails version                  5.2.4.2

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Git                            2.20.1

Filesystem

Redmine plugins:

additionals                    2.0.23

easy_mindmup                   1.0

easy_wbs                       1.5

redmine_ckeditor               1.2.3

redmine_contacts               4.3.0

redmine_contacts_helpdesk      4.1.8

redmine_dashboard              2.7.1

redmine_messenger              1.0.6
redmine_monitoring_controlling 0.1.1

redmine_my_page                0.1.13

#3 - 2020-11-28 09:18 - Go MAEDA

Is the issue reproducible without plugins?

#4 - 2022-12-13 14:22 - Dimitar (RedmineUP)

Dear Andrej,

This is Dimitar from the RedmineUP Support Team.

I see that you have the full-stack bundle of RedmineUP.

So, could you please contact our support team at support@redmineup.com? And our support engineers will help you investigate the

situation that you reported.

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team

Andrej Simko wrote:

I have problem with receiving emails after upgrading to the latest stable version 4.1.1.

Even if I have setup that email should be parsed as plain text, issues are created with the text and there are unwanted <p> </p> tags even if I

setup text formatting to none or textile or markup.

This happens after updating to the version 4.1.1 from 3.4.13.

This is my environment:

[...]

I receive emails from gmail.

This is a test email:

[...]

This is a issue created:

[...]

Can somebody help me where could be a problem?

#5 - 2024-02-23 18:18 - Akos Szabo

EDIT:

I had  removed redmine_ckeditor and everything works fine!

Hello,

I have the same problem, did you solve it?

Environment:

Environment:

Redmine version                5.0.7.stable

Ruby version                   3.0.0-p0 (2020-12-25) [x86_64-linux]

Rails version                  6.1.7.6

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Default

SCM:

Subversion                     1.7.14

Git                            1.8.3.1

Filesystem

Redmine plugins:

redmine_agile                  1.6.6

redmine_checklists             3.1.22

redmine_ckeditor               1.2.4

redmine_email_attachments      0.2.0
redmine_people                 1.6.5

#6 - 2024-02-26 21:46 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for the feedback. I'm closing this issue as it was not caused by Redmine.
